## GtkArrow GtkArrow |

## Functions

GtkWidget * | gtk_arrow_new ()
void | gtk_arrow_set ()

## Properties

GtkArrowType | arrow-type | Read / Write
GtkShadowType | shadow-type | Read / Write

## Style Properties

gfloat | arrow-scaling | Read

## Types and Values

struct | GtkArrow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkArrow

## Implemented Interfaces

GtkArrow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_arrow_new ()

    GtkWidget *
    gtk_arrow_new (GtkArrowType arrow_type,
                   GtkShadowType shadow_type);

### gtk_arrow_set ()

    void
    gtk_arrow_set (GtkArrow *arrow,
                   GtkArrowType arrow_type,
                   GtkShadowType shadow_type);

## Types and Values

### struct GtkArrow

    struct GtkArrow;

## Property Details

### The `“arrow-type”` property

      “arrow-type”               GtkArrowType

The direction the arrow should point.

Flags: Read / Write

Default value: GTK_ARROW_RIGHT

### The `“shadow-type”` property

      “shadow-type”              GtkShadowType

Appearance of the shadow surrounding the arrow.

Flags: Read / Write

Default value: GTK_SHADOW_OUT

## Style Property Details

### The `“arrow-scaling”` style property

      “arrow-scaling”            gfloat

Amount of space used up by arrow.

Flags: Read

Allowed values: [0,1]

Default value: 0.7